package cn.com.qmth.examcloud.examwork.api.request;

import cn.com.qmth.examcloud.api.commons.enums.ExamStageStartExamStatus;
import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;

import java.util.Date;
import java.util.Map;

/**
 * @Description 修改场次中的开考状态
 * @Author lideyin
 * @Date 2020/8/6 15:56
 * @Version 1.0
 */
public class ModifyExamStageStartExamStatusReq extends BaseRequest {

	private static final long serialVersionUID = -1418886087630579901L;
	/**
	 * 场次id
	 */
	private Long examStageId;
	/**
	 * 场次开考状态
	 */
	private String examStageStartExamStatus;

	public Long getExamStageId() {
		return examStageId;
	}

	public void setExamStageId(Long examStageId) {
		this.examStageId = examStageId;
	}

	public String getExamStageStartExamStatus() {
		return examStageStartExamStatus;
	}

	public void setExamStageStartExamStatus(String examStageStartExamStatus) {
		this.examStageStartExamStatus = examStageStartExamStatus;
	}
}
