/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-16 16:19:24.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.OeExamStudentCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.SyncExamDataCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;
import org.springframework.stereotype.Service;

/**
 * @Description 同步考试数据云服务
 * @Author lideyin
 * @Date 2019/12/20 10:25
 * @Version 1.0
 */
@Service("syncExamDataCloudService")
public class SyncExamDataCloudServiceClient extends AbstractCloudClientSupport
		implements
		SyncExamDataCloudService {

	private static final long serialVersionUID = -4357022100124209341L;

	/**
	 * 同步考试记录数据
	 *
	 * @param req
	 * @return
	 */
	@Override
	public SyncExamDataResp syncExamData(SyncExamDataReq req) {
		return post("exam/sync/syncExamData", req, SyncExamDataResp.class);
	}
}