package cn.com.qmth.examcloud.core.questions.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class SaveRandomPaperExtractConfigReq extends BaseRequest{

	private static final long serialVersionUID = -2086228074459123588L;
	
	private Long rootOrgId;

	@ApiModelProperty(value = "考试编码(不传时取考试名称)", example = "xxxxxx", required = true)
	private String examCode;

	@ApiModelProperty(value = "考试名称", example = "2018年6月期末考试", required = true)
	private String examName;

	@ApiModelProperty(value = " 课程代码", example = "xxxxxx", required = false)
	private String courseCode;

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}


	
}
