package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterGetScoreDataReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterQueryFinalScoreDataReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterQueryScoreDataReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterQueryScoreListReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterGetScoreDataResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterQueryFinalScoreDataResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterQueryScoreDataResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterQueryScoreListResp;

/**
 * @author chenken
 * @date 2018年11月16日 上午11:32:53
 * @company QMTH
 * @description 获取成绩数据
 */
public interface GetScoreDataService extends EnterpriseService {

    OuterGetScoreDataResp getScoreData(OuterGetScoreDataReq req);

    OuterQueryFinalScoreDataResp queryFinalScoreData(OuterQueryFinalScoreDataReq req);

    OuterQueryScoreDataResp queryScoreData(OuterQueryScoreDataReq req);

    OuterQueryScoreListResp queryScoreList(OuterQueryScoreListReq req);

}
