package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

public class OuterSaveExtractConfigReq extends EnterpriseRequest {

	private static final long serialVersionUID = 8298816850875139485L;
	
	@ApiModelProperty(value = "考试编码(不传时取考试名称)", example = "xxxxxx", required = true)
	private String examCode;

	@ApiModelProperty(value = "考试名称", example = "2018年6月期末考试", required = true)
	private String examName;

	@ApiModelProperty(value = " 课程代码", example = "xxxxxx", required = false)
	private String courseCode;

	public String getExamCode() {
		return examCode;
	}

	public void setExamCode(String examCode) {
		this.examCode = examCode;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public String getCourseCode() {
		return courseCode;
	}

	public void setCourseCode(String courseCode) {
		this.courseCode = courseCode;
	}



	
}
