package cn.com.qmth.examcloud.core.basic.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.basic.api.request.AddUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.request.CheckUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.request.QueryUserDataRuleReq;
import cn.com.qmth.examcloud.core.basic.api.response.AddUserDataRuleResp;
import cn.com.qmth.examcloud.core.basic.api.response.CheckUserDataRuleResp;
import cn.com.qmth.examcloud.core.basic.api.response.QueryUserDataRuleResp;

/**
 * 用户数据权限相关接口
 *
 * @since: 2020/12/18
 */
public interface UserDataRuleCloudService extends CloudService {

    QueryUserDataRuleResp queryUserDataRule(QueryUserDataRuleReq req);

    CheckUserDataRuleResp checkUserDataRule(CheckUserDataRuleReq req);

    AddUserDataRuleResp addUserDataRule(AddUserDataRuleReq req);

}
