package cn.com.qmth.examcloud.examwork.api.bean;

import cn.com.qmth.examcloud.api.commons.enums.ExamSpecialSettingsType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

import java.util.Date;

/**
 * @Description 场次信息实体
 * 部分字段，可根据需求自行添加
 * @Author lideyin
 * @Date 2020/8/7 17:54
 * @Version 1.0
 */
public class ExamStageBean implements JsonSerializable {

	private static final long serialVersionUID = 6619634459082795393L;

	/**
	 * ID
	 */
	private Long id;

	/**
	 * 考试id
	 */
	private Long examId;

	/**
	 * 顶级机构Id
	 */
	private Long rootOrgId;

	/**
	 * 场次号
	 */
	private Integer stageOrder;

	/**
	 * 启用标识
	 */
	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Integer getStageOrder() {
		return stageOrder;
	}

	public void setStageOrder(Integer stageOrder) {
		this.stageOrder = stageOrder;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}
}
